# Enblend

## Introduzione

Enblend sovrappone diverse immagini in formato TIFF in modo da rendere invisibili le cuciture di collegamento. È in grado di elaborare immagini a 8, 16 o 32 bit (HDR floating point) per canale.

Enblend funziona come plugin per PTGui, hugin, PTMac o PTAssembler oppure indipendentemente dalla linea di comando o dall'interfaccia di Enblend.

Novità della versione 3.0:

- corregge le linee di cucitura in modo da evitare le aree di accoppiamento errato tra le immagini di partenza come gli errori di parallasse;
- supporta il salvataggio e il caricamento delle maschere;
- include numerosi altri miglioramenti delle prestazioni.

Enblend è disponibile per Windows e Linux dal sito del progetto. Esiste una versione per Mac OS X, xblend, disponibile grazie a Kevin Kratzke.

## Utilizzo da linea di comando

I parametri degni di nota sono:

-a
  pre assembla le immagini che non si sovrappongono. Accelera vistosamente la fusione di panorami con molte immagini che non si sovrappongono (come gli enormi multi riga).
-w
  estende il processo di fusione anche al confine dei 360° in modo da non ottenere una brusca transizione nelle cuciture a +180° e -180°.
-o
  obbliga Enblend a utilizzare un nome di file di output fornito dall'utente.
-v
  output prolisso; permette di visualizzare i dettagli su cosa sta avvenendo invece di mostrare una finestra vuota.
-l <n>
  obbliga Enblend a utilizzare un certo numero di livelli per aumentare l'area di fusione (minimizza le linee di cucitura visibili).

Enblend supporta l'input di file TIFF ritagliati.

## Avvertimento

Se si cerca di eseguire Enblend 3.0 su un sistema Windows e si osserva che il programma esce immediatamente senza creare un output, probabilmente si sta tentando di utilizzare una versione compilata con istruzioni SSE su un processore senza il supporto SSE (come le vecchie CPU AMD). È possibile ottenere una versione binaria non SSE di Enblend da Sourceforge.[1]

Questa versione potrebbe non funzionare comunque come discusso in [2] (problema) e [3] (soluzione). Se così fosse c'è una versione corretta disponibile all'indirizzo http://alto.anu.edu.au/~wpc/private/enblend/enblend-3.0-cyg.zip

## Ottenere Enblend

Enblend è a codice aperto. Come tale è possibile scaricarlo gratuitamente dalla pagina ufficiale del progetto. Enblend è contenuto nelle maggiori distribuzioni Linux. Una versione è ottenibile utilizzando il gestore di pacchetti fornito dalla propria distribuzione. Per ubuntu linux, aprire un terminale e digitare:

    $ sudo apt-get install enblend

Tutto qui!

Enblend è costantemente in sviluppo. Se si volesse ottenere la versione più recente, si legga la sezione seguente sullo sviluppo.

## Sviluppo

Enblend è un progetto a codice aperto e di conseguenza dipende fortemente dai contributi volontari di risorse. Se si hanno delle capacità di programmazione, si è i benvenuti nel dare uno sguardo al codice sorgente e magari nel contribuirvi. Anche se non si posseggono le conoscenze necessarie per la programmazione, probabilmente si avranno altre capacità che possono rivelarsi utili al progetto e quindi si è sempre i benvenuti nel fornire il proprio tempo. I campi che richiedono attenzione cambiano frequentemente e così avviene anche per le capacità e risorse richieste. Registrandosi alla mailing list hugin-ptx è possibile sapere cosa sta avvenendo in quel momento e quale aiuto è richiesto. Anche provare il programma e esprimere un parere è di aiuto.

Per essere aggiornati all'ultima versione, seguire lo sviluppo e il processo di compilazione di hugin

- Ubuntu Linux
- Fedora Linux
- Mac OSX
- Windows

## Vedere anche

Guide pratiche che trattano di enblend:

- Utilizzare enblend per riempire il "buco sul pavimento"
- Come utilizzare enblend per sistemare le immagini di zenit e nadir

## Collegamenti esterni

- Pagina del progetto Enblend
- xblend

Tratto e tradotto da "http://wiki.panotools.org/Enblend"